|
Umístění Menu |
---|
Díl → Vytváření zákl.geom.tvarů → Bod |
Pracovní stoly |
Díl, OpenSCAD |
Výchozí zástupce |
Nikdo |
Představen ve verzi |
- |
Viz také |
.. |
Description
Popis
Bod (vrchol) základního geometrického tělesa je dostupný z dialogového okna Vytvoření základního geometrického tělesa v pracovní ploše Díl.
Usage
See Part Primitives.
Properties
See also: Property editor.
A Part Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Base
- ÚdajeX (
Distance
): The X coordinate of the point. The default is0mm
. - ÚdajeY (
Distance
): The Y coordinate of the point. The default is0mm
. - ÚdajeZ (
Distance
): The Z coordinate of the point. The default is0mm
.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Point can be created with the addObject()
method of the document:
point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
- Where
"myPoint"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3
doc.recompute()
Tato stránka je načtena z https://wiki.freecad.org/Part_Point